5 Replies Latest reply: Oct 22, 2012 12:41 PM by Blessed91
doughayman Level 1 (5 points)
Help !!!!I can no longer find iTunes Producer 2.5.1 anywhere.  This version supported Mac OS X 10.5.8, and I just went out and bought a Macintosh eMac G4 which was on the list of supported hardware for this version of iTunes Producer 2.5.1.   Lo and behold, I just received my G4, and now iTunes Producer 2.6 is only available, and it doesn't support the eMac G4.   Where can I get a copy of iTunesProducer 2.5.1 so that I can run it on this eMac G4 machine ????

Macintosh eMac G4, Mac OS X (10.5.8)